/****************************************************************************/
/*                                                                          */
/*              Ƶ: MIC_INȡƵݣ 3s Ƶ		*/
/*                                                                          */
/*              20150720                  							*/
/*                                                                          */
/****************************************************************************/
#include "TL6748.h"                 //  DSP6748 

#include "edma_event.h" 
#include "interrupt.h"
#include "soc_OMAPL138.h"
#include "hw_syscfg0_OMAPL138.h"


#include <math.h>

#include <stdlib.h>
#include <stdio.h>
#include "fft_math.h"

#include "codecif.h"
#include "mcasp.h"
#include "edma.h"
#include "psc.h"
#include "uartStdio.h"

#include "pcm1864_init.h"
#include "mcasp_init.h"

#include <string.h>

/****************************************************************************/
/*                                                                          */
/*              궨                                                      */
/*                                                                          */
/****************************************************************************/
#define N 96000*2*3
#define M 7
#define Q 128

// TDM ʹ slot ĸ
#define TDM_SLOTS                             (4u)

// / ÿ slot С
#define SLOT_SIZE                             (16u)

// / word С. Word size <= Slot size
#define WORD_SIZE                             (16u)

// ÿƵ buffer 
#define NUM_SAMPLES_PER_AUDIO_BUF             (4000u)

// / buffer 
#define NUM_BUF                               (3u)

// /ʹ DMA ĸ
#define NUM_PAR                               (2u)

// ָӲʼ ID
#define PAR_ID_START                          (40u)

// loop brfferĲĸ
#define NUM_SAMPLES_LOOP_BUF                  (10u)

// PCM1864 ƵоƬ I2C ӵַ
#define I2C_SLAVE_CODEC_PCM1                 (0x4Au)
#define I2C_SLAVE_CODEC_PCM2                 (0x4Bu)

//ÿֽ˴Ϊ2ֽ
#define BYTES_PER_SAMPLE                      (SLOT_SIZE >> 3)

// һͨСΪ2000*2=4000ֽڣ˴ͨΪ4
#define AUDIO_BUF_SIZE                        (NUM_SAMPLES_PER_AUDIO_BUF \
                                               * BYTES_PER_SAMPLE * TDM_SLOTS)

//#define TX_DMA_INT_ENABLE                     (EDMA3CC_OPT_TCC_SET(1) | (1 \
                                               << EDMA3CC_OPT_TCINTEN_SHIFT))
#define RX_DMA_INT_ENABLE                     (EDMA3CC_OPT_TCC_SET(0) | (1 \
                                               << EDMA3CC_OPT_TCINTEN_SHIFT))

#define PAR_RX_START                          (PAR_ID_START)
//#define PAR_TX_START                          (PAR_RX_START + NUM_PAR)

// һ paRAM ĴС
#define SIZE_PARAMSET                         (32u)

#define OPT_FIFO_WIDTH                        (0x02 << 8u)

/****************************************************************************/
/*              ȫֱ                                              */
/****************************************************************************/
// ͨûнյʱͨᷢ buf ݣloopBufСΪ10*2=20ֽ
//static unsigned char loopBuf[NUM_SAMPLES_LOOP_BUF * BYTES_PER_SAMPLE] = {0};

/*
//  bufferҪµ buffer Ҫ NUM_BUF ֵ
static unsigned char txBuf0[AUDIO_BUF_SIZE];
static unsigned char txBuf1[AUDIO_BUF_SIZE];
static unsigned char txBuf2[AUDIO_BUF_SIZE];
*/

//  bufferҪµ buffer Ҫ NUM_BUF ֵ
static unsigned char rxBuf0[AUDIO_BUF_SIZE];
static unsigned char rxBuf1[AUDIO_BUF_SIZE];
static unsigned char rxBuf2[AUDIO_BUF_SIZE];

// һҪݵ buffer
static volatile unsigned int nxtBufToRcv = 0;

// ݵ buffer
static volatile unsigned int lastFullRxBuf = 0;

// paRAM ID ʼ paRAM ƫƸ
static volatile unsigned short parOffRcvd = 0;

// paRAM ID ʼ paRAM ƫƸ
//static volatile unsigned short parOffSent = 0;

// һҪ͵ paRAM ID ʼ paRAM ƫƸ
//static volatile unsigned short parOffTxToSend = 0;

// һη͵ buffer ı
static volatile unsigned int lastSentTxBuf = NUM_BUF - 1;   // lastSentTxBufĳʼֵΪ2

//  buffer ָ
static unsigned int const rxBufPtr[NUM_BUF] =
       { 
           (unsigned int) rxBuf0,
           (unsigned int) rxBuf1,
           (unsigned int) rxBuf2
       };

/*
//  buffer ָ
static unsigned int const txBufPtr[NUM_BUF] =
       { 
           (unsigned int) txBuf0,
           (unsigned int) txBuf1,
           (unsigned int) txBuf2
       };

// ͲĬ paRAM  loop buffer 0
static struct EDMA3CCPaRAMEntry const txDefaultPar = 
       {
           (unsigned int)(EDMA3CC_OPT_DAM  | OPT_FIFO_WIDTH), 	// Opt		ĿĵַΪ̶ַ(FIFO)ģʽFIFOĴСΪ32-bit
           (unsigned int)loopBuf, 					// Դַ		loopBufȫΪ0
           (unsigned short)(BYTES_PER_SAMPLE), 			// aCnt                     ֽ
           (unsigned short)(NUM_SAMPLES_LOOP_BUF), 		// bCnt		loop brfferĲĸ10
           (unsigned int) SOC_MCASP_0_DATA_REGS, 			// Ŀַ	MCASP ͨDMAʵݼĴַ
           (short) (BYTES_PER_SAMPLE), 				// Դ bIdx           	ֽ
           (short)(0), 						// Ŀ bIdx	0
           (unsigned short)(PAR_TX_START * SIZE_PARAMSET), 		// ӵַ	42*3242 paRAM
           (unsigned short)(0), 					// bCnt װֵ	0
           (short)(0), 						// Դ cIdx		0
           (short)(0), 						// Ŀ cIdx	0
           (unsigned short)1 					// cCnt		1
       };
*/

// ղĬ paRAM 
static struct EDMA3CCPaRAMEntry const rxDefaultPar =
       {
           (unsigned int)(EDMA3CC_OPT_SAM  | OPT_FIFO_WIDTH), 	// Opt         	ԴַΪ̶ַ(FIFO)ģʽFIFOĴСΪ32-bit
           (unsigned int)SOC_MCASP_0_DATA_REGS, 			// Դַ      	MCASP ͨDMAʵݼĴַ
           (unsigned short)(BYTES_PER_SAMPLE), 			// aCnt        	ÿsampleռ2ֽ
           (unsigned short)(1), 					// bCnt       	 һ1Ԫ
           (unsigned int)rxBuf0, 					// Ŀַ	 buffer rxBuf0
           (short) (0), 						// Դ bIdx		0
           (short)(BYTES_PER_SAMPLE), 				// Ŀ bIdx   	Ŀ2ֽ
           (unsigned short)(PAR_RX_START * SIZE_PARAMSET), 		// ӵַ    	40 paRAM
           (unsigned short)(0), 					// bCnt װֵ 	0
           (short)(0), 						// Դ cIdx		0
           (short)(0), 						// Ŀ cIdx	0
           (unsigned short)1 					// cCnt		1
       };

/****************************************************************************/
/*                                                                          */
/*                                                                  */
/*                                                                          */
/****************************************************************************/
//static void ParamTxLoopJobSet(unsigned short parId);
static void I2SDMAParamInit(void);

static void InitPCM18S1(void);
//static void InitPCM18S2(void);                                   // ֮ʹPCM2ַ
static void InitPCM18S2(void);
static void EDMA3IntSetup(void);

//void BufferTxDMAActivate(unsigned int txBuf, unsigned short numSamples,
//                         unsigned short parId, unsigned short linkPar);

static void BufferRxDMAActivate(unsigned int rxBuf, unsigned short parId,
                                unsigned short parLink);
static void McASPRxDMAComplHandler(void);
//static void McASPTxDMAComplHandler(void);
static void EDMA3CCComplIsr(void);

// DSP жϳʼ
static void InterruptInit(void);
static void InitMcaspEdma(void);
/****************************************************************************/
/*                                                                    */
/****************************************************************************/

// ɼ 3s Ƶݡ ݶΪ2ͨ
#define sound_size (96000*2*3)
short sound_buffer[sound_size];

int main(void)
{
//    unsigned short parToSend;
//    unsigned short parToLink;
	FILE *fp;
	short *pSound = sound_buffer;

/*    // ն˳ʼ ʹô2
    UARTStdioInit();

    UARTPuts("\r\n ============Test Start===========.\r\n", -1);
    UARTPuts("Welcome to StarterWare Audio_Mic_In Demo application.\r\n\r\n", -1);
    UARTPuts("This application loops back the input at MIC_IN of the EVM to the LINE_OUT of the EVM\r\n\r\n", -1);
*/
    // I2C ģ
    I2CPinMuxSetup(0);

    // McASP 
    McASPPinMuxSetup();

    // ʹ EDMA3 PSC
    PSCModuleControl(SOC_PSC_0_REGS, HW_PSC_CC0, PSC_POWERDOMAIN_ALWAYS_ON,
		     PSC_MDCTL_NEXT_ENABLE);
    PSCModuleControl(SOC_PSC_0_REGS, HW_PSC_TC0, PSC_POWERDOMAIN_ALWAYS_ON,
		     PSC_MDCTL_NEXT_ENABLE);

    // DSP жϳʼ
	InterruptInit();



    // ʼ I2C ӿڵַΪ PCM1864 оƬĵַ
	I2CSetup(SOC_I2C_0_REGS, I2C_SLAVE_CODEC_PCM1);
	I2CIntRegister(C674X_MASK_INT7, SYS_INT_I2C0_INT);

	// ʼ PCM18 ƵоƬ1
    InitPCM18S1();



	I2CSetup(SOC_I2C_0_REGS, I2C_SLAVE_CODEC_PCM2);
	I2CIntRegister(C674X_MASK_INT7, SYS_INT_I2C0_INT);

	// ʼ PCM18 ƵоƬ2
    InitPCM18S2();



    // ʼ McASP Ϊ EDMA ʽ
    InitMcaspEdma();

    // ѭһµ buffer ɺlastFullRxBuf ڽж¡
    //  lastFullRxBuf  lastSentTxBuf ȣͻὫݸƵsound_buffer
    while(1)
    {

        if(lastFullRxBuf != lastSentTxBuf)
        {
/*
        	// ־ҪõһҪݵ DAM 
            parToSend =  PAR_TX_START + (parOffTxToSend % NUM_PAR);
            parOffTxToSend = (parOffTxToSend + 1) % NUM_PAR;
            parToLink  = PAR_TX_START + parOffTxToSend;
*/

            lastSentTxBuf = (lastSentTxBuf + 1) % NUM_BUF;

            printf("%d\n", lastFullRxBuf);

/*
            // յĲڽbufferݣƵbuffer֮
            memcpy((void *)txBufPtr[lastSentTxBuf], (void *)rxBufPtr[lastFullRxBuf], AUDIO_BUF_SIZE);
            // Ӧ DMA ڷ
            BufferTxDMAActivate(lastSentTxBuf, NUM_SAMPLES_PER_AUDIO_BUF,
                                (unsigned short)parToSend,
                                (unsigned short)parToLink);   // ÷Param42(43): ԴַΪtxBufӵַΪһParam
*/

            // Ƶ
            memcpy((void *)pSound, (void *)rxBufPtr[lastFullRxBuf], AUDIO_BUF_SIZE);

          				pSound = (short *)((int)pSound + AUDIO_BUF_SIZE);

          				if((pSound - sound_buffer) >= sound_size)
          		    		{
          					pSound = sound_buffer;

/*          					double *dataR;
          					dataR=(double*)malloc(sizeof(sound_buffer));
          					free(dataR);

          					int u;
          					fp=fopen("input.txt","wb");
          					for(u=0; u<192000; u++)
          						{
          							fprintf(fp,"%d\t",sound_buffer[u]);

          						}
          						fclose(fp);

          						int i,j;
          						double *dataR,*dataI,*dataA;

          					//	j=sizeof(data_in) / sizeof(double);
          						dataR=(double*)malloc(sizeof(pSound));
          						dataI=(double*)malloc(sizeof(pSound));
          						dataA=(double*)malloc(sizeof(pSound));


              					FFT( dataR, dataI, dataA, Q, M);

              					int q;
              					fp=fopen("input.txt","wb");
              					for(q=0; q<1152000; q++)
              					   	{
              					       	fprintf(fp,"%f\t",dataA[q]);
              					   	}
              					    fclose(fp);


//          						memset("input.txt", '\0', sizeof("input.txt"));
*/
          						asm(" SWBP 0 ");
          		    			}
        }
    }
}

/****************************************************************************/
/*                                                                          */
/*              ʼ McASP Ϊ EDMA ʽ                                   */
/*                                                                          */
/****************************************************************************/
static void InitMcaspEdma(void)
{
	EDMA3Init(SOC_EDMA30CC_0_REGS, 0);              // EDMA3ʼ
	EDMA3IntSetup();                                                // ʼEDMA ж

	//  EDMA ͨͨ 0 ڽ
//	EDMA3RequestChannel(SOC_EDMA30CC_0_REGS, EDMA3_CHANNEL_TYPE_DMA,
//						EDMA3_CHA_MCASP0_TX, EDMA3_CHA_MCASP0_TX, 0);

	EDMA3RequestChannel(SOC_EDMA30CC_0_REGS, EDMA3_CHANNEL_TYPE_DMA,
						EDMA3_CHA_MCASP0_RX, EDMA3_CHA_MCASP0_RX, 0);

	// ʼ DMA 
	I2SDMAParamInit();

	// ʼ McASPֻգͬʱģʽλ
	McASPI2SConfigure(MCASP_RX_MODE, WORD_SIZE, SLOT_SIZE, TDM_SLOTS, MCASP_MODE_DMA);

	// ʹ EDMA 䣺¼
	EDMA3EnableTransfer(SOC_EDMA30CC_0_REGS, EDMA3_CHA_MCASP0_RX,
						EDMA3_TRIG_MODE_EVENT);
//	EDMA3EnableTransfer(SOC_EDMA30CC_0_REGS, EDMA3_CHA_MCASP0_TX,
//						EDMA3_TRIG_MODE_EVENT);

	//  McASP 
	I2SDataTxRxActivate(MCASP_RX_MODE);
}

/****************************************************************************/
/*                                                                          */
/*              ʼ DMA 		                                        */
/*                                                                          */
/****************************************************************************/
// յĻ paRAM Ϊͨ0
//
//  paRAM 0 ʼΪݵ rxBuf0
// paRAM 0 ûʹܴжϣpaRAM 0 ɺֱ paRAM 40 (PAR_RX_START)
//  paRAM һ䡣
// 磺PAR_RX_START = 40 ʹ paRAM = 2ղֵ paRAM ӽ
// ʼΪ 0-->40-->41-->40
static void I2SDMAParamInit(void)
{
    EDMA3CCPaRAMEntry paramSet;
    int idx; 

    // ʼ0ͨ paRAM ڽգֻͨýһ㣬
    // ɺ󲻲жϣֱӵ PAR_RX_START ͨ
    memcpy(&paramSet, &rxDefaultPar, SIZE_PARAMSET - 2);

    EDMA3SetPaRAM(SOC_EDMA30CC_0_REGS, EDMA3_CHA_MCASP0_RX, &paramSet);

    // ʼͨ paRAM pingpong䣬ͨʹж
    paramSet.opt |= RX_DMA_INT_ENABLE;
 
    for(idx = 0 ; idx < NUM_PAR; idx++)
    {
        paramSet.destAddr = rxBufPtr[idx];

        paramSet.linkAddr = (PAR_RX_START + ((idx + 1) % NUM_PAR)) 
                             * (SIZE_PARAMSET);        

        paramSet.bCnt =  NUM_SAMPLES_PER_AUDIO_BUF;

        // һδʱͨ0Ѿһݴ洢buffer0
        // νմӵڶ㿪ʼգݴ洢 buffer0
        if( 0 == idx)
        {
            paramSet.destAddr += BYTES_PER_SAMPLE;
            paramSet.bCnt -= 1;
        }

        EDMA3SetPaRAM(SOC_EDMA30CC_0_REGS, (PAR_RX_START + idx), &paramSet);
    } 

    // ʼղҪĲ
    nxtBufToRcv = idx % NUM_BUF;
    lastFullRxBuf = NUM_BUF - 1;
    parOffRcvd = 0;

    lastSentTxBuf = NUM_BUF - 1;
}

/****************************************************************************/
/*                                                                          */
/*              DSP жϳʼ                                              */
/*                                                                          */
/****************************************************************************/
static void InterruptInit(void)
{
	// ʼ DSP жϿ
	IntDSPINTCInit();

	// ʹ DSP ȫж
	IntGlobalEnable();
}

/****************************************************************************/
/*                                                                          */
/*              ʼ PCM18 ƵоƬ                                       */
/*                                                                          */
/****************************************************************************/
static void InitPCM18S1(void)
{
    volatile unsigned int delay = 0xFFF;

    // λ
    PCM18Reset(SOC_I2C_0_REGS);
    while(delay--);

    // ʼ PCM18 Ϊ TDM ģʽ
    PCM18DataConfig(SOC_I2C_0_REGS, SLOT_SIZE, PCM18_DUTY_LRCK_HALF, SLOT_SIZE,  PCM18_DATATYPE_DSP);

    // ʼΪ 192000Hz
    PCM18SampleRateConfig1(SOC_I2C_0_REGS, XTAL, master_mode, FS_192000_HZ);

    // ʼ ADC 
	PCM18ADCInit1(SOC_I2C_0_REGS);

	// ʼ DAC 0ֱ˥
//	AIC31DACInit(SOC_I2C_0_REGS, DAC_ATTEN_0DB);
}


static void InitPCM18S2(void)
{
    volatile unsigned int delay = 0xFFF;

    // λ
    PCM18Reset(SOC_I2C_0_REGS);
    while(delay--);

    // ʼ PCM18 Ϊ TDM ģʽ
    PCM18DataConfig(SOC_I2C_0_REGS, SLOT_SIZE, PCM18_DUTY_LRCK_HALF, SLOT_SIZE,  PCM18_DATATYPE_DSP);

    // ʼΪ 192000Hz
    PCM18SampleRateConfig2(SOC_I2C_0_REGS, SCK, slave_mode, FS_192000_HZ);

    // ʼ ADC 
	PCM18ADCInit2(SOC_I2C_0_REGS);

	// ʼ DAC 0ֱ˥
//	AIC31DACInit(SOC_I2C_0_REGS, DAC_ATTEN_0DB);
}





/****************************************************************************/
/*                                                                          */
/*               EDMA ѭ                                      */
/*                                                                          */
/****************************************************************************

static void ParamTxLoopJobSet(unsigned short parId)
{
    EDMA3CCPaRAMEntry paramSet;
    
    memcpy(&paramSet, &txDefaultPar, SIZE_PARAMSET - 2);

    // Ҫӵһ EDMA paRAM ͨ
    paramSet.linkAddr = parId * SIZE_PARAMSET;

    EDMA3SetPaRAM(SOC_EDMA30CC_0_REGS, parId, &paramSet);
}
*/

/****************************************************************************/
/*                                                                          */
/*              ʼ EDMA ж	                                        */
/*                                                                          */
/****************************************************************************/
static void EDMA3IntSetup(void)
{
	IntRegister(C674X_MASK_INT5, EDMA3CCComplIsr);
	IntEventMap(C674X_MASK_INT5, SYS_INT_EDMA3_0_CC0_INT1);
	IntEnable(C674X_MASK_INT5);
}

/****************************************************************************/
/*                                                                          */
/*               DMA һڷ͸buffer             */
/*                                                                          */
/****************************************************************************/
/*
void BufferTxDMAActivate(unsigned int txBuf, unsigned short numSamples,
                         unsigned short parId, unsigned short linkPar)
{
    EDMA3CCPaRAMEntry paramSet;

    // Ĭϲ
    memcpy(&paramSet, &txDefaultPar, SIZE_PARAMSET - 2);

    // ʹܴж
    paramSet.opt |= TX_DMA_INT_ENABLE;
    paramSet.srcAddr =  txBufPtr[txBuf];
    paramSet.linkAddr = linkPar * SIZE_PARAMSET;  
    paramSet.bCnt = numSamples;

    EDMA3SetPaRAM(SOC_EDMA30CC_0_REGS, parId, &paramSet);
}
*/

/****************************************************************************/
/*                                                                          */
/*               DMA һڽݵbuffer     */
/*                                                                          */
/****************************************************************************/
static void BufferRxDMAActivate(unsigned int rxBuf, unsigned short parId,
                                unsigned short parLink)
{
    EDMA3CCPaRAMEntry paramSet;

    // Ĭϲ
    memcpy(&paramSet, &rxDefaultPar, SIZE_PARAMSET - 2);

    // ʹܴж
    paramSet.opt |= RX_DMA_INT_ENABLE;
    paramSet.destAddr =  rxBufPtr[rxBuf];
    paramSet.bCnt =  NUM_SAMPLES_PER_AUDIO_BUF;
    paramSet.linkAddr = parLink * SIZE_PARAMSET ;

    EDMA3SetPaRAM(SOC_EDMA30CC_0_REGS, parId, &paramSet);
}

/****************************************************************************/
/*                                                                          */
/*              ˺ڽж					            */
/*                                                                          */
/****************************************************************************/
static void McASPRxDMAComplHandler(void)
{
    unsigned short nxtParToUpdate;

    //  lastFullRxBuf ־һµĽ buffer 
    lastFullRxBuf = (lastFullRxBuf + 1) % NUM_BUF;
    nxtParToUpdate =  PAR_RX_START + parOffRcvd;  
    parOffRcvd = (parOffRcvd + 1) % NUM_PAR;
 
    //  DMA һڽݵbuffer
    BufferRxDMAActivate(nxtBufToRcv, nxtParToUpdate,
                        PAR_RX_START + parOffRcvd);

    // һҪݵbuffer
    nxtBufToRcv = (nxtBufToRcv + 1) % NUM_BUF;
}

/****************************************************************************/
/*                                                                          */
/*              ˺ڷж					            */
/*                                                                          */
/****************************************************************************/
/*
static void McASPTxDMAComplHandler(void)
{
    ParamTxLoopJobSet((unsigned short)(PAR_TX_START + parOffSent));

    parOffSent = (parOffSent + 1) % NUM_PAR;
}
*/

/****************************************************************************/
/*                                                                          */
/*              EDMA жϷ   					            */
/*                                                                          */
/****************************************************************************/
static void EDMA3CCComplIsr(void) 
{ 
	IntEventClear(SYS_INT_EDMA3_0_CC0_INT1);

	// жϽ DMA 
    if(EDMA3GetIntrStatus(SOC_EDMA30CC_0_REGS) & (1 << EDMA3_CHA_MCASP0_RX)) 
    { 
    	//  0 ͨжϱ־
        EDMA3ClrIntr(SOC_EDMA30CC_0_REGS, EDMA3_CHA_MCASP0_RX); 
        McASPRxDMAComplHandler();
    }

/*
    // жϷ DMA 
    if(EDMA3GetIntrStatus(SOC_EDMA30CC_0_REGS) & (1 << EDMA3_CHA_MCASP0_TX)) 
    { 
        //  1 ͨжϱ־
        EDMA3ClrIntr(SOC_EDMA30CC_0_REGS, EDMA3_CHA_MCASP0_TX); 
        McASPTxDMAComplHandler();
    }
*/
}
