/****************************************************************************/
/*                                                                          */
/*              ݴӿƼ޹˾                                    */
/*                                                                          */
/*              Copyright 2015 Tronlong All rights reserved                 */
/*                                                                          */
/****************************************************************************/

#ifndef _PCM1864_INIT_H_
#define _PCM1864_INIT_H_

/****************************************************************************/
/*                                                                          */
/*              궨                                                      */
/*                                                                          */
/****************************************************************************/
// PCM1864 ģʽ
#define PCM18_DATATYPE_I2S             (0u) /* I2S ģʽ */
#define PCM18_DATATYPE_DSP             (3u) /* DSP ģʽ */
#define PCM18_DATATYPE_RIGHTJ          (2u) /* Ҷģʽ */
#define PCM18_DATATYPE_LEFTJ           (1u) /* ģʽ */

// PCM18 TDM_LRCK_MODEѡ
#define PCM18_DUTY_LRCK_HALF                  (0u) /* duty cycle of LRCK is 50% (default) */
#define PCM18_DUTY_LRCK_ZHIYI                  (1u) /* duty cycle of LRCK is 1/256 (similar DSP mode) */

// PCM18SampleRateConfig ĲοʱԴRefSource
#define SCK_or_XTAL                  (0u << 6u)
#define SCK                                (1u << 6u)
#define XTAL                              (2u << 6u)

// PCM18SampleRateConfig ģʽmode
#define slave_mode                  (0u << 4u)
#define master_mode               (1u << 4u)

// 
#define FS_8000_HZ 						(8000u)
#define FS_11025_HZ 					(11025u)
#define FS_16000_HZ 					(16000u)
#define FS_22050_HZ 					(22050u)
#define FS_24000_HZ 					(24000u)
#define FS_32000_HZ 					(32000u)
#define FS_44100_HZ 					(44100u)
#define FS_48000_HZ 					(48000u)
#define FS_96000_HZ 					(96000u)
#define FS_192000_HZ 					(192000u)

// ADC  гֵ
#define ADC_GAIN_0DB 					(0u)
#define ADC_GAIN_3DB 					(3u)
#define ADC_GAIN_6DB 					(6u)
#define ADC_GAIN_9DB 					(9u)
#define ADC_GAIN_12DB 					(12u)
#define ADC_GAIN_15DB 					(15u)
#define ADC_GAIN_18DB 					(18u)
#define ADC_GAIN_21DB 					(21u)
#define ADC_GAIN_24DB 					(24u)
#define ADC_GAIN_27DB 					(27u)
#define ADC_GAIN_30DB 					(30u)
#define ADC_GAIN_33DB 					(33u)
#define ADC_GAIN_36DB 					(36u)
#define ADC_GAIN_39DB 					(39u)
#define ADC_GAIN_42DB 					(42u)
#define ADC_GAIN_45DB 					(45u)
#define ADC_GAIN_48DB 					(48u)
#define ADC_GAIN_51DB 					(51u)
#define ADC_GAIN_54DB 					(54u)
#define ADC_GAIN_57DB 					(57u)
#define ADC_GAIN_59DB 					(59u)

// DAC ˥ г˥ֵ
#define DAC_ATTEN_0DB 					(0u)
#define DAC_ATTEN_3DB 					(3u)
#define DAC_ATTEN_6DB 					(6u)
#define DAC_ATTEN_9DB 					(9u)
#define DAC_ATTEN_12DB 					(12u)
#define DAC_ATTEN_15DB 					(15u)
#define DAC_ATTEN_18DB 					(18u)
#define DAC_ATTEN_21DB 					(21u)
#define DAC_ATTEN_24DB 					(24u)

// PCM1864 Ĵַ
#define PCM18_P0_REG0                (0)  /* Page Select , Software Reset  */
#define PCM18_P0_REG1                (1)  /* PGA Value Ch1 Left */
#define PCM18_P0_REG2                (2)  /* PGA Value Ch1 Right */
#define PCM18_P0_REG3                (3)  /* PGA Value Ch2 Left */
#define PCM18_P0_REG4                (4)  /* PGA Value Ch2 Right */
#define PCM18_P0_REG5                (5)  /* (link) PGA Control, Clipping (Suppression) */
#define PCM18_P0_REG6                (6)  /* ADC CH1  Left  Input  (Channel Select, Signal Polarity) */
#define PCM18_P0_REG7                (7)  /* ADC CH1 Right Input  (Channel Select, Signal Polarity) */
#define PCM18_P0_REG8                (8)  /* ADC CH2  Left Input  (Channel Select, Signal Polarity) */
#define PCM18_P0_REG9                (9)  /* ADC CH2 Right Input  (Channel Select, Signal Polarity) */
#define PCM18_P0_REG10              (10) /* Select Secondary ADC Input Channel */
#define PCM18_P0_REG11              (11) /* PCM Word Length,  LRCK Duty Cycle in TDM Mode, Data Format*/
#define PCM18_P0_REG12              (12) /* Select TDM Transmission Data */
#define PCM18_P0_REG13              (13) /* Set Offset Position in Serial Audio Data Frame(I2S_TX_FMT is DSP format) */
#define PCM18_P0_REG14              (14) /* Set Offset Position in Serial Audio Data Frame(I2S_RX_FMT is DSP format) */
#define PCM18_P0_REG15              (15) /* Ch1 Left Digital PGA Gain Control */
#define PCM18_P0_REG16              (16) /* GPIO1(0) Polarity and Function */
#define PCM18_P0_REG17              (17) /* GPIO3(2) Polarity and Function */
#define PCM18_P0_REG18              (18) /* GPIO1(0) Direction */
#define PCM18_P0_REG19              (19) /* GPIO3(2) Direction */
#define PCM18_P0_REG20              (20) /* GPIO3 Output (Input) Status or Toggle Status */
#define PCM18_P0_REG21              (21) /* Enable or Disable the Pull-Down Resistor of GPIO */
#define PCM18_P0_REG22              (22) /* Ch1 Right Digital PGA Gain Control */
#define PCM18_P0_REG23              (23) /* Ch2  Left  Digital PGA Gain Control */
#define PCM18_P0_REG24              (24) /* Ch2 Right Digital PGA Gain Control */
#define PCM18_P0_REG25              (25) /* DPGA(APGA) Control Mapping */
#define PCM18_P0_REG26              (26) /* Digital Mic Input Select Interface, Filters Selection */
#define PCM18_P0_REG27              (27) /* Resample DIN with Internal BCK */
#define PCM18_P0_REG32              (32) /* (ADC, DSP) Clock Source Selection (SCK, XTAL, PLL), Master or Slave Selection, Auto Clock Detector*/
#define PCM18_P0_REG33              (33) /* Set DSP1 Clock Divider Value */
#define PCM18_P0_REG34              (34) /* Set DSP2 Clock Divider Value */
#define PCM18_P0_REG35              (35) /* Set  ADC Clock Divider Value */
#define PCM18_P0_REG37              (37) /* Set PLL SCK Clock Output Divider for SCK Out */
#define PCM18_P0_REG38              (38) /* Set Master Clock (SCK) to BCK Divider Value*/
#define PCM18_P0_REG39              (39) /* Set Bit Clock (BCK) to LRCK Divider Value*/
#define PCM18_P0_REG40              (40) /* PLL Lock, Reference Clock Selection,  Enable*/
#define PCM18_P0_REG41              (41) /* PLL P Divider Value */
#define PCM18_P0_REG42              (42) /* PLL R Multiplier Value */
#define PCM18_P0_REG43              (43) /* Integer Part of PLL J.D Multiplier Value */
#define PCM18_P0_REG44              (44) /* Fractional Part of PLL J.D-Multiplier Value (8λ) */
#define PCM18_P0_REG45              (45) /* Fractional Part of PLL J.D-Multiplier Value (6λ) */
#define PCM18_P0_REG48              (48) /* Select the signal detection mode for each channel */
#define PCM18_P0_REG49              (49) /* Mask Bits of Interrupt Trigger for Channels (ͨжϴλ) */
#define PCM18_P0_REG50              (50) /* Status of Signal Level Detection */
#define PCM18_P0_REG51              (51) /* Set signal drops time to generates interrupt */
#define PCM18_P0_REG52              (52) /* Set scan time for each channel (SLEEP state) */
#define PCM18_P0_REG54              (54) /* Interval time of the signal detector interrupt (źżжϵļʱ)*/
#define PCM18_P0_REG64              (64) /* CH1_L Reference Level of Controlsense Detection */
#define PCM18_P0_REG65              (65) /* CH1_L Difference Level of Controlsense Detection */
#define PCM18_P0_REG66              (66) /* CH1_L Current DC Level */
#define PCM18_P0_REG67              (67) /* CH1_R Reference Level of Controlsense Detection */
#define PCM18_P0_REG68              (68) /* CH1_R Difference Level of Controlsense Detection */
#define PCM18_P0_REG69              (69) /* CH1_R Current DC Level */
#define PCM18_P0_REG70              (70) /* CH2_L Reference Level of Controlsense Detection */
#define PCM18_P0_REG71              (71) /* CH2_L Difference Level of Controlsense Detection */
#define PCM18_P0_REG72              (72) /* CH2_L Current DC Level */
#define PCM18_P0_REG73              (73) /* CH2_R Reference Level of Controlsense Detection*/
#define PCM18_P0_REG74              (74) /* CH2_R Difference Level of Controlsense Detection */
#define PCM18_P0_REG75              (75) /* CH2_R Current DC Level */
#define PCM18_P0_REG76              (76) /* CH3_L Reference Level of Controlsense Detection */
#define PCM18_P0_REG77              (77) /* CH3_L Difference Level of Controlsense Detection */
#define PCM18_P0_REG78              (78) /* CH3_L Current DC Level */
#define PCM18_P0_REG79              (79) /* CH3_R Reference Level of Controlsense Detection */
#define PCM18_P0_REG80              (80) /* CH3_R Difference Level of Controlsense Detection */
#define PCM18_P0_REG81              (81) /* CH3_R Current DC Level */
#define PCM18_P0_REG82              (82) /* CH4_L Reference Level of Controlsense Detection */
#define PCM18_P0_REG83              (83) /* CH4_L Difference Level of Controlsense Detection */
#define PCM18_P0_REG84              (84) /* CH4_L Current DC Level */
#define PCM18_P0_REG85              (85) /* CH4_R Reference Level of Controlsense Detection */d
#define PCM18_P0_REG86              (86) /* CH4_R Difference Level of Controlsense Detection */
#define PCM18_P0_REG87              (87) /* CH4_R Current DC Level */
#define PCM18_P0_REG88              (88) /* AUXADC(secondary ADC) Read (Latch, Channel)*/
#define PCM18_P0_REG89              (89) /* Low Byte of Secondary ADC Output [7:0]*/
#define PCM18_P0_REG90              (90) /* High Byte of Secondary ADC Output [15:8] */
#define PCM18_P0_REG96              (96) /* Enable Interrupt (Post-PGA Clipping, DC Level, I2S RX DIN, energysense) */
#define PCM18_P0_REG97              (97) /* Interrupt Status  (Post-PGA Clipping, DC Level, I2S RX DIN, energysense) */
#define PCM18_P0_REG98              (98) /* Polarity and Width of the Interrupt Pulse */
#define PCM18_P0_REG112            (112) /* Enter Analog Power Down(Sleep, Digital Standby) State */
#define PCM18_P0_REG113            (113)  /* Processing Mode Selection(2 or 4 channels), Filter Type(Enable), Mute Channel */
#define PCM18_P0_REG114            (114)  /* Device Current Status */
#define PCM18_P0_REG115            (115)  /* Current Sampling Frequency */
#define PCM18_P0_REG116            (116) /*  Current Receiving BCK(SCK) Ratio */
#define PCM18_P0_REG117            (117)  /* LRCK(BCK, SCK) Halt(Error) Status */
#define PCM18_P0_REG120            (120)  /* DVDD(AVDD, Digital LDO) Halt(Error) Status */

#define PCM18_P1_REG1                (1)  /* Done(Busy) Satus Flag, Access to DSP-2 Read(Write) */
#define PCM18_P1_REG2                (2)  /* Memory Mapped Register Address*/
#define PCM18_P1_REG4                (4)  /* Write Coefficient [23:16] */
#define PCM18_P1_REG5                (5)  /* Write Coefficient [15:8] */
#define PCM18_P1_REG6                (6)  /* Write Coefficient [7:0] */
#define PCM18_P1_REG7                (7)  /* Reserved (Write Coefficient) */
#define PCM18_P1_REG8                (8)  /* Read Coefficient [23:16] */
#define PCM18_P1_REG9                (9)  /* Read Coefficient [15:8] */
#define PCM18_P1_REG10              (10) /* Read Coefficient [7:0] */
#define PCM18_P1_REG11              (11) /* Reserved (Read Coefficient) */

#define PCM18_P3_REG15              (15)

extern void PCM18Reset(unsigned int baseAddr);
extern void PCM18DataConfig(unsigned int baseAddr, unsigned char RX_Width, unsigned char TDM_LRCK_MODE,
               unsigned char TX_Width, unsigned char dataType);
extern void PCM18SampleRateConfig1(unsigned int baseAddr,  unsigned char RefSource, unsigned char mode,
                           unsigned int sampleRate);
extern void PCM18SampleRateConfig2(unsigned int baseAddr,  unsigned char RefSource, unsigned char mode,
                           unsigned int sampleRate);
extern void PCM18ADCInit1(unsigned int baseAddr);
extern void PCM18ADCInit2(unsigned int baseAddr);
// extern void PCM18DACInit(unsigned int baseAddr, float dacAtten);

#endif
