/****************************************************************************/
/*                                                                          */
/*              ݴӿƼ޹˾                                    */
/*                                                                          */
/*              Copyright 2015 Tronlong All rights reserved                 */
/*                                                                          */
/****************************************************************************/
/****************************************************************************/
/*                                                                          */
/*              uPP 豸㺯                                          */
/*                                                                          */
/*              20150819                                              */
/*                                                                          */
/****************************************************************************/
#include "hw_upp.h"
#include "debug.h"
#include "hw_types.h"
#include "uPP.h"

#include "soc_C6748.h"
#include "hw_syscfg0_C6748.h"
#include "hw_syscfg1_C6748.h"	    // ϵͳģĴ

#include <stdio.h>
#include <stdlib.h>

/****************************************************************************/
/*                                                                          */
/*              궨                                                      */
/*                                                                          */
/****************************************************************************/
static void Delay(volatile unsigned int count);

/****************************************************************************/
/*                                                                          */
/*              ܽŸ                                                */
/*                                                                          */
/****************************************************************************/
void uPPPinMuxSetup(unsigned char OperatingMode)
{
//	uPPGetVersion();

	volatile unsigned int savePinMux = 0;

	// ݹܽŸ
	switch(OperatingMode)
	{
		case uPP_CHA_8BIT:
		{
			savePinMux = HWREG(SOC_SYSCFG_0_REGS + SYSCFG0_PINMUX(13)) & ~(0xFFFF0000);
			HWREG(SOC_SYSCFG_0_REGS + SYSCFG0_PINMUX(13)) = (0x44440000 | savePinMux);

			savePinMux = HWREG(SOC_SYSCFG_0_REGS + SYSCFG0_PINMUX(15)) & ~(0xFFFFFF00);
			HWREG(SOC_SYSCFG_0_REGS + SYSCFG0_PINMUX(15)) = (0x44444400 | savePinMux);

			savePinMux = HWREG(SOC_SYSCFG_0_REGS + SYSCFG0_PINMUX(16)) & ~(0x000000FF);
			HWREG(SOC_SYSCFG_0_REGS + SYSCFG0_PINMUX(16)) = (0x00000044 | savePinMux);
			//Ϊ
			HWREG(SOC_SYSCFG_1_REGS + SYSCFG1_PUPD_SEL) &= ~(1<<24);
			break;
		}

		case uPP_CHA_16BIT:
		{
			savePinMux = HWREG(SOC_SYSCFG_0_REGS + SYSCFG0_PINMUX(13)) & ~(0xFFFF0000);
			HWREG(SOC_SYSCFG_0_REGS + SYSCFG0_PINMUX(13)) = (0x44440000 | savePinMux);

			savePinMux = HWREG(SOC_SYSCFG_0_REGS + SYSCFG0_PINMUX(14)) & ~(0xFFFFFF00);
			HWREG(SOC_SYSCFG_0_REGS + SYSCFG0_PINMUX(14)) = (0x44444400 | savePinMux);

			savePinMux = HWREG(SOC_SYSCFG_0_REGS + SYSCFG0_PINMUX(15)) & ~(0xFFFFFFFF);
			HWREG(SOC_SYSCFG_0_REGS + SYSCFG0_PINMUX(15)) = (0x44444444 | savePinMux);

			savePinMux = HWREG(SOC_SYSCFG_0_REGS + SYSCFG0_PINMUX(16)) & ~(0x000000FF);
			HWREG(SOC_SYSCFG_0_REGS + SYSCFG0_PINMUX(16)) = (0x00000044 | savePinMux);
			//Ϊ
			HWREG(SOC_SYSCFG_1_REGS + SYSCFG1_PUPD_SEL) &= ~(1<<24);
			break;
		}

		case uPP_CHA_8BIT_CHB_8BIT:
		{
			savePinMux = HWREG(SOC_SYSCFG_0_REGS + SYSCFG0_PINMUX(13)) & ~(0xFFFF0000);
			HWREG(SOC_SYSCFG_0_REGS + SYSCFG0_PINMUX(13)) = (0x44440000 | savePinMux);

			savePinMux = HWREG(SOC_SYSCFG_0_REGS + SYSCFG0_PINMUX(14)) & ~(0xFFFFFF00);
			HWREG(SOC_SYSCFG_0_REGS + SYSCFG0_PINMUX(14)) = (0x44444400 | savePinMux);

			savePinMux = HWREG(SOC_SYSCFG_0_REGS + SYSCFG0_PINMUX(15)) & ~(0xFFFFFFFF);
			HWREG(SOC_SYSCFG_0_REGS + SYSCFG0_PINMUX(15)) = (0x44444444 | savePinMux);

			savePinMux = HWREG(SOC_SYSCFG_0_REGS + SYSCFG0_PINMUX(16)) & ~(0x000000FF);
			HWREG(SOC_SYSCFG_0_REGS + SYSCFG0_PINMUX(16)) = (0x00000044 | savePinMux);

			savePinMux = HWREG(SOC_SYSCFG_0_REGS + SYSCFG0_PINMUX(18)) & ~(0x00FFFF00);
			HWREG(SOC_SYSCFG_0_REGS + SYSCFG0_PINMUX(18)) = (0x00444400 | savePinMux);
			//Ϊ
			HWREG(SOC_SYSCFG_1_REGS + SYSCFG1_PUPD_SEL) &= ~(1<<24 | 1<<30);
			break;
		}

		case uPP_CHA_8BIT_CHB_16BIT:
		{
			savePinMux = HWREG(SOC_SYSCFG_0_REGS + SYSCFG0_PINMUX(13)) & ~(0xFFFF0000);
			HWREG(SOC_SYSCFG_0_REGS + SYSCFG0_PINMUX(13)) = (0x44440000 | savePinMux);

			savePinMux = HWREG(SOC_SYSCFG_0_REGS + SYSCFG0_PINMUX(14)) & ~(0xFFFFFF00);
			HWREG(SOC_SYSCFG_0_REGS + SYSCFG0_PINMUX(14)) = (0x44444400 | savePinMux);

			savePinMux = HWREG(SOC_SYSCFG_0_REGS + SYSCFG0_PINMUX(15)) & ~(0xFFFFFFFF);
			HWREG(SOC_SYSCFG_0_REGS + SYSCFG0_PINMUX(15)) = (0x44444444 | savePinMux);

			savePinMux = HWREG(SOC_SYSCFG_0_REGS + SYSCFG0_PINMUX(16)) & ~(0xFFFFFFFF);
			HWREG(SOC_SYSCFG_0_REGS + SYSCFG0_PINMUX(16)) = (0x44444444 | savePinMux);

			savePinMux = HWREG(SOC_SYSCFG_0_REGS + SYSCFG0_PINMUX(17)) & ~(0x000000FF);
			HWREG(SOC_SYSCFG_0_REGS + SYSCFG0_PINMUX(17)) = (0x00000044 | savePinMux);

			savePinMux = HWREG(SOC_SYSCFG_0_REGS + SYSCFG0_PINMUX(18)) & ~(0x00FFFF00);
			HWREG(SOC_SYSCFG_0_REGS + SYSCFG0_PINMUX(18)) = (0x00444400 | savePinMux);
			//Ϊ
			HWREG(SOC_SYSCFG_1_REGS + SYSCFG1_PUPD_SEL) &= ~(1<<24 | 1<<30);
			break;
		}

		case uPP_CHA_16BIT_CHB_8BIT:
		{
			savePinMux = HWREG(SOC_SYSCFG_0_REGS + SYSCFG0_PINMUX(13)) & ~(0xFFFF0000);
			HWREG(SOC_SYSCFG_0_REGS + SYSCFG0_PINMUX(13)) = (0x44440000 | savePinMux);

			savePinMux = HWREG(SOC_SYSCFG_0_REGS + SYSCFG0_PINMUX(14)) & ~(0xFFFFFF00);
			HWREG(SOC_SYSCFG_0_REGS + SYSCFG0_PINMUX(14)) = (0x44444400 | savePinMux);

			savePinMux = HWREG(SOC_SYSCFG_0_REGS + SYSCFG0_PINMUX(15)) & ~(0xFFFFFFFF);
			HWREG(SOC_SYSCFG_0_REGS + SYSCFG0_PINMUX(15)) = (0x44444444 | savePinMux);

			savePinMux = HWREG(SOC_SYSCFG_0_REGS + SYSCFG0_PINMUX(16)) & ~(0x000000FF);
			HWREG(SOC_SYSCFG_0_REGS + SYSCFG0_PINMUX(16)) = (0x00000044 | savePinMux);

			savePinMux = HWREG(SOC_SYSCFG_0_REGS + SYSCFG0_PINMUX(17)) & ~(0xFFFFFF00);
			HWREG(SOC_SYSCFG_0_REGS + SYSCFG0_PINMUX(17)) = (0x44444400 | savePinMux);

			savePinMux = HWREG(SOC_SYSCFG_0_REGS + SYSCFG0_PINMUX(18)) & ~(0x00FFFFFF);
			HWREG(SOC_SYSCFG_0_REGS + SYSCFG0_PINMUX(18)) = (0x00444444 | savePinMux);
			//Ϊ
			HWREG(SOC_SYSCFG_1_REGS + SYSCFG1_PUPD_SEL) &= ~(1<<24 | 1<<30);
			break;
		}

		case uPP_CHA_16BIT_CHB_16BIT:
		{
			savePinMux = HWREG(SOC_SYSCFG_0_REGS + SYSCFG0_PINMUX(13)) & ~(0xFFFF0000);
			HWREG(SOC_SYSCFG_0_REGS + SYSCFG0_PINMUX(13)) = (0x44440000 | savePinMux);

			savePinMux = HWREG(SOC_SYSCFG_0_REGS + SYSCFG0_PINMUX(14)) & ~(0xFFFFFF00);
			HWREG(SOC_SYSCFG_0_REGS + SYSCFG0_PINMUX(14)) = (0x44444400 | savePinMux);

			savePinMux = HWREG(SOC_SYSCFG_0_REGS + SYSCFG0_PINMUX(15)) & ~(0xFFFFFFFF);
			HWREG(SOC_SYSCFG_0_REGS + SYSCFG0_PINMUX(15)) = (0x44444444 | savePinMux);

			savePinMux = HWREG(SOC_SYSCFG_0_REGS + SYSCFG0_PINMUX(16)) & ~(0xFFFFFFFF);
			HWREG(SOC_SYSCFG_0_REGS + SYSCFG0_PINMUX(16)) = (0x44444444 | savePinMux);

			savePinMux = HWREG(SOC_SYSCFG_0_REGS + SYSCFG0_PINMUX(17)) & ~(0xFFFFFFFF);
			HWREG(SOC_SYSCFG_0_REGS + SYSCFG0_PINMUX(17)) = (0x44444444 | savePinMux);

			savePinMux = HWREG(SOC_SYSCFG_0_REGS + SYSCFG0_PINMUX(18)) & ~(0x00FFFFFF);
			HWREG(SOC_SYSCFG_0_REGS + SYSCFG0_PINMUX(18)) = (0x00444444 | savePinMux);
			//Ϊ
			HWREG(SOC_SYSCFG_1_REGS + SYSCFG1_PUPD_SEL) &= ~(1<<24 | 1<<30);
			break;
		}

		default:
		{
			printf("\r\nuPPPinMuxSetup: unsupported Operating Mode!\r\n");
		}
	}
}

/****************************************************************************/
/*                                                                          */
/*              ʱ                                                    */
/*                                                                          */
/****************************************************************************/
void uPPClkConfig(unsigned int baseAddr, unsigned char channel, unsigned int Clk,
		unsigned int moduleClk, unsigned char polarity)
{
	// ʱֻڷģʽЧ
	// ģʽʱ಻ܳ CPU ʱķ֮һ
    unsigned int clkDiv;
    clkDiv = moduleClk / Clk / 2 - 1;

    // ƵϵΧ
    ASSERT(((clkDiv >= 0) && (clkDiv <= 15)));

    if(channel == uPP_CHA)
    {
    	HWREG(baseAddr + UPP_UPICR) &= ~(UPP_UPICR_CLKINVA | UPP_UPICR_CLKDIVA);
    	HWREG(baseAddr + UPP_UPICR) |= (clkDiv <<  UPP_UPICR_CLKDIVA_SHIFT) \
    									| (polarity << UPP_UPICR_CLKINVA_SHIFT);
    }
    else if(channel == uPP_CHB)
    {
    	HWREG(baseAddr + UPP_UPICR) &= ~(UPP_UPICR_CLKINVB | UPP_UPICR_CLKDIVB);
    	HWREG(baseAddr + UPP_UPICR) |= (clkDiv <<  UPP_UPICR_CLKDIVB_SHIFT) \
										| (polarity << UPP_UPICR_CLKINVB_SHIFT);
    }
}

/****************************************************************************/
/*                                                                          */
/*              ʹ                                                    */
/*                                                                          */
/****************************************************************************/
void uPPEnable(unsigned int baseAddr)
{
   	HWREG(baseAddr + UPP_UPPCR) |= ((0x00000001u) <<  UPP_UPPCR_EN_SHIFT);
}

/****************************************************************************/
/*                                                                          */
/*                                                                  */
/*                                                                          */
/****************************************************************************/
void uPPDisable(unsigned int baseAddr)
{
   	HWREG(baseAddr + UPP_UPPCR) &= ~((0x00000001u) <<  UPP_UPPCR_EN_SHIFT);
}

/****************************************************************************/
/*                                                                          */
/*                                                                  */
/*                                                                          */
/****************************************************************************/
void uPPPeripheralConfig(unsigned int baseAddr, unsigned int config)
{
	HWREG(baseAddr + UPP_UPPCR) |= config;
}

/****************************************************************************/
/*                                                                          */
/*              ݸʽ                                                */
/*                                                                          */
/****************************************************************************/
void uPPDataFmtConfig(unsigned int baseAddr, unsigned char channel, unsigned int config)
{
	if(channel == uPP_CHA)
	{
		config <<= 16;
		HWREG(baseAddr + UPP_UPCTL) |= (config & (0x007F0000));
	}
	else if(channel == uPP_CHB)
	{
		config <<= 24;
		HWREG(baseAddr + UPP_UPCTL) |= (config & (0x7F000000));
	}
}

/****************************************************************************/
/*                                                                          */
/*              ͨ                                                    */
/*                                                                          */
/****************************************************************************/
void uPPChannelConfig(unsigned int baseAddr, unsigned int config)
{
	HWREG(baseAddr + UPP_UPCTL) |= (config & (0x0000001F));
}

/****************************************************************************/
/*                                                                          */
/*              ܽ                                                    */
/*                                                                          */
/****************************************************************************/
void uPPPinConfig(unsigned int baseAddr, unsigned char channel, unsigned int config)
{
	if(channel == uPP_CHA)
	{
		HWREG(baseAddr + UPP_UPICR) |= (config & (0x00003038));
	}
	else if(channel == uPP_CHB)
	{
		config <<= 16;
		HWREG(baseAddr + UPP_UPICR) |= (config & (0x30380000));
	}
}

/****************************************************************************/
/*                                                                          */
/*              ܽλ                                                */
/*                                                                          */
/****************************************************************************/
void uPPPinPolarityConfig(unsigned int baseAddr, unsigned char channel, unsigned int config)
{
	if(channel == uPP_CHA)
	{
		HWREG(baseAddr + UPP_UPICR) |= (config & (0x00000007));
	}
	else if(channel == uPP_CHB)
	{
		config <<= 16;
		HWREG(baseAddr + UPP_UPICR) |= (config & (0x00070000));
	}
}

/****************************************************************************/
/*                                                                          */
/*              ӿڿ                                            */
/*                                                                          */
/****************************************************************************/
void uPPIdleValueConfig(unsigned int baseAddr, unsigned char channel, unsigned int config)
{
    if(channel == uPP_CHA)
    {
    	HWREG(baseAddr + UPP_UPIVR) |= (config <<  UPP_UPIVR_VALA_SHIFT);
    }
    else if(channel == uPP_CHB)
    {
    	HWREG(baseAddr + UPP_UPIVR) |= (config <<  UPP_UPIVR_VALB_SHIFT);
    }
}

/****************************************************************************/
/*                                                                          */
/*                                                                  */
/*                                                                          */
/****************************************************************************/
void uPPThresholdConfig(unsigned int baseAddr, unsigned char channel, unsigned int config)
{
	switch (channel)
	{
		case uPP_CHA:
			HWREG(baseAddr + UPP_UPTCR) |= (config <<  UPP_UPTCR_TXSIZEA_SHIFT);
			break;
		case uPP_CHB:
			HWREG(baseAddr + UPP_UPTCR) |= (config <<  UPP_UPTCR_TXSIZEB_SHIFT);
			break;
		case uPP_DMA_CHI:
			HWREG(baseAddr + UPP_UPTCR) |= (config <<  UPP_UPTCR_RDSIZEI_SHIFT);
			break;
		case uPP_DMA_CHQ:
			HWREG(baseAddr + UPP_UPTCR) |= (config <<  UPP_UPTCR_RDSIZEQ_SHIFT);
			break;

	}
}

/****************************************************************************/
/*                                                                          */
/*              ֻػ                                                */
/*                                                                          */
/****************************************************************************/
void uPPDLBConfig(unsigned int baseAddr, unsigned int config)
{
	HWREG(baseAddr + UPP_UPDLB) &= ~0x00003000u;
	HWREG(baseAddr + UPP_UPDLB) |= config;

	if(config == UPP_UPDLB_BA)
	{
		HWREG(baseAddr + UPP_UPCTL) &= ~0x00000003u;
		HWREG(baseAddr + UPP_UPCTL) |=0x00000002u;
	}
	else if(config == UPP_UPDLB_AB)
	{
		HWREG(baseAddr + UPP_UPCTL) &= ~0x00000003u;
		HWREG(baseAddr + UPP_UPCTL) |= 0x00000003u;
	}
}

/****************************************************************************/
/*                                                                          */
/*              жʹ                                                    */
/*                                                                          */
/****************************************************************************/
void uPPIntEnable(unsigned int baseAddr, unsigned char DMAchannel, unsigned int intFlags)
{
	if(DMAchannel == uPP_DMA_CHI)
	{
		HWREG(baseAddr + UPP_UPIES) = intFlags;
	}
	else if(DMAchannel == uPP_DMA_CHQ)
	{
		HWREG(baseAddr + UPP_UPIES) = (intFlags <<  8);
	}
}

/****************************************************************************/
/*                                                                          */
/*              жϽ                                                    */
/*                                                                          */
/****************************************************************************/
void uPPIntDisable(unsigned int baseAddr, unsigned char DMAchannel, unsigned int intFlags)
{
	if(DMAchannel == uPP_DMA_CHI)
	{
		HWREG(baseAddr + UPP_UPIEC) = intFlags;
	}
	else if(DMAchannel == uPP_DMA_CHQ)
	{
		HWREG(baseAddr + UPP_UPIEC) = (intFlags << 8);
	}
}

/****************************************************************************/
/*                                                                          */
/*              ж                                                    */
/*                                                                          */
/****************************************************************************/
void uPPIntClear(unsigned int baseAddr, unsigned char DMAchannel, unsigned int intFlags)
{
	if(DMAchannel == uPP_DMA_CHI)
	{
		HWREG(baseAddr + UPP_UPIER) = intFlags;
	}
	else if(DMAchannel == uPP_DMA_CHQ)
	{
		HWREG(baseAddr + UPP_UPIER) = (intFlags <<  8);
	}
}

/****************************************************************************/
/*                                                                          */
/*              ж״̬                                                    */
/*                                                                          */
/****************************************************************************/
unsigned int uPPIntStatus(unsigned int baseAddr, unsigned char DMAchannel)
{
	unsigned int intFlags;

	if(DMAchannel == uPP_DMA_CHI)
	{
		intFlags = HWREG(baseAddr + UPP_UPIER) & 0x0000001F;
	}
	else if(DMAchannel == uPP_DMA_CHQ)
	{
		intFlags = HWREG(baseAddr + UPP_UPIER) & 0x00001F00;
		intFlags >>=  8;
	}
	return (intFlags);
}

/****************************************************************************/
/*                                                                          */
/*              ȷж                                                    */
/*                                                                          */
/****************************************************************************/
void uPPEndOfInt(unsigned int baseAddr)
{
   	HWREG(baseAddr + UPP_UPEOI) = 0x00000000u;
}
/****************************************************************************/
/*                                                                          */
/*              DMA                                                     */
/*                                                                          */
/****************************************************************************/
void uPPDMATransfer(unsigned int baseAddr, unsigned char DMAchannel, uPPDMAConfig *config)
{
	if(DMAchannel == uPP_DMA_CHI)
	{
		HWREG(baseAddr + UPP_UPID0) = (int)config->WindowAddress;
		HWREG(baseAddr + UPP_UPID1) = (config->LineCount << 16 ) | (config->ByteCount);
		HWREG(baseAddr + UPP_UPID2) = config->LineOffsetAddress;
	}
	else if(DMAchannel == uPP_DMA_CHQ)
	{
		HWREG(baseAddr + UPP_UPQD0) = (int)config->WindowAddress;
		HWREG(baseAddr + UPP_UPQD1) = (config->LineCount << 16 ) | (config->ByteCount);
		HWREG(baseAddr + UPP_UPQD2) = config->LineOffsetAddress;
	}
}

/****************************************************************************/
/*                                                                          */
/*              DMA ״̬                                                    */
/*                                                                          */
/****************************************************************************/
uPPDMAStatus *uPPGetDMAStatus(unsigned int baseAddr, unsigned char channel)
{
	uPPDMAStatus * pDMAStatus;

	pDMAStatus = calloc(1, sizeof(uPPDMAStatus));

	if(channel == uPP_DMA_CHI)
	{
		pDMAStatus->WindowAddress = HWREG(baseAddr + UPP_UPIS0);
		pDMAStatus->LineCount     = (HWREG(baseAddr + UPP_UPIS1) >> 16) & 0x0000FFFF;
		pDMAStatus->ByteCount     = HWREG(baseAddr + UPP_UPIS1) & 0x0000FFFF;
		pDMAStatus->FIFO          = (HWREG(baseAddr + UPP_UPIS2) >> 4) & 0x0000000F;
		pDMAStatus->PEND          = (HWREG(baseAddr + UPP_UPIS2) >> 1) & 0x00000001;
		pDMAStatus->DMA           = HWREG(baseAddr + UPP_UPIS2) & 0x00000001;
	}
	else if(channel == uPP_DMA_CHQ)
	{
		pDMAStatus->WindowAddress = HWREG(baseAddr + UPP_UPQS0);
		pDMAStatus->LineCount     = (HWREG(baseAddr + UPP_UPQS1) >> 16) & 0x0000FFFF;
		pDMAStatus->ByteCount     = HWREG(baseAddr + UPP_UPQS1) & 0x0000FFFF;
		pDMAStatus->FIFO          = (HWREG(baseAddr + UPP_UPQS2) >> 4) & 0x0000000F;
		pDMAStatus->PEND          = (HWREG(baseAddr + UPP_UPQS2) >> 1) & 0x00000001;
		pDMAStatus->DMA           = HWREG(baseAddr + UPP_UPQS2) & 0x00000001;
	}

	return (pDMAStatus);
}

/****************************************************************************/
/*                                                                          */
/*              uPP λ                                                    */
/*                                                                          */
/****************************************************************************/
void uPPReset(unsigned int baseAddr)
{
	// ʧ uPP
	uPPDisable(baseAddr);
	// ȴ DMA 
	while(HWREG(baseAddr + UPP_UPPCR) & (1 << 7));
	// λ
	HWREG(baseAddr + UPP_UPPCR) &= ~0x00000010u;
	HWREG(baseAddr + UPP_UPPCR) |= 0x00000001u << 0x00000004u;
	Delay(0xffff);
	HWREG(baseAddr + UPP_UPPCR) &= ~0x00000010u;
	// ʹ uPP
	uPPEnable(baseAddr);
}

/****************************************************************************/
/*                                                                          */
/*              ʱ                                                        */
/*                                                                          */
/****************************************************************************/
void Delay(volatile unsigned int count)
{
    while(count--);
}

/****************************************************************************/
/*                                                                          */
/*              汾                                                        */
/*                                                                          */
/****************************************************************************/
void uPPGetVersion(void)
{
    printf("\r\n Version 1.01.0814\r\n");
    printf("\r\n DSP C6748 Project\r\n");
    printf("\r\n (C) 2015 Guangzhou Tronlong Electronic Technology Co.,Ltd\r\n");
}
